Subject: Re: bug#25022: 25.1.50; Different highlighting for different citation level in message-mode

From: Katsumi Yamaoka <[email-masked]>
Date: Tue, 06 Dec 2016 16:39:45 +0900

On Mon, 05 Dec 2016 22:08:46 -0800, Hong Xu wrote:
> On 2016-11-24 Thu 15:22 GMT-0800, Hong Xu <[email-masked]> wrote:
>> Currently in message-mode all cited texts are highlighted in the same
>> way. It would be nicer if the highlighting of different citation levels
>> can be easily customized.

> Here is a patch and a screenshot. The default colors I chose may not be
> optimal -- but I guess I'll leave that part to professionals.

> Add support for different faces for different citation levels in message-mode.

Isn't it redundant as there is this already? ;-)

(defcustom gnus-message-highlight-citation
  t ;; gnus-treat-highlight-citation ;; gnus-cite dependency
  "Enable highlighting of different citation levels in message-mode."
  :version "23.1" ;; No Gnus
  :group 'gnus-cite
  :group 'gnus-message
  :type 'boolean)

Here is my message-mode view: